<?php
/**
* イベント処理例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class ProcessEventException extends CharcoalException
{
	public function __construct( IEvent $event, ITask $task, $result, String $message )
	{
		$msg = " [event]$event [task]$task [result]$result [message]$message";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}

return __FILE__;